﻿@model IEnumerable<NationalTheatre.ViewModels.CashierViewModel>

<nav class="navbar navbar-inverse navbar-fixed-top">
    <div class="container">
        <div class="navbar-header">
            <a asp-area="" asp-controller="Shows" asp-action="Index" class="navbar-brand">Shows</a>
            <a asp-area="" asp-controller="Categories" asp-action="Index" class="navbar-brand">Categories</a>
            <a asp-area="" asp-controller="Cashiers" asp-action="Index" class="navbar-brand">Cashiers</a>

            <a asp-area="" asp-controller="Users" asp-action="Logout" class="navbar-brand" style="margin-left:650px">Log out</a>
        </div>
    </div>
</nav>

<div class="navbar-collapse collapse">
    <ul class="nav navbar-nav">        
        <li><a asp-area="" asp-controller="Cashiers" asp-action="Index"></a></li>
        <li><a asp-area="" asp-controller="Shows" asp-action="Index"></a></li>
        <li><a asp-area="" asp-controller="Categories" asp-action="Index"></a></li>
    </ul>
</div>

<h3>Cashiers</h3>

<p>
    <a asp-controller="Cashiers" asp-action="Create">Add</a>
</p>

<table class="table">
    <thead>
        <tr>
            <th>
                First Name
            </th>
            <th>
                Last Name
            </th>
            <th>
                Username
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var cashier in Model)
        {
            <tr>
                <td>
                    @cashier.FirstName
                </td>
                <td>
                    @cashier.LastName
                </td>
                <td>
                    @cashier.Username
                </td>
                <td>
                    <a asp-action="Edit" asp-controller="Cashiers" asp-route-id="@cashier.Id">Edit</a> |
                    <a asp-action="Delete" asp-controller="Cashiers" asp-route-id="@cashier.Id">Delete</a>
                </td>
            </tr>
        }
    </tbody>
</table>

